Tarkennettu haku
bullseye  ] [  sid  ]
[ Source: ruby-cancancan  ]

Paketti: ruby-cancancan (3.0.1+gh-1)

Links for ruby-cancancan

Screenshot

Debian-palvelut:

Imuroi lähdekoodipaketti ruby-cancancan:

Ylläpitäjät:

External Resources:

Samankaltaisia paketteja:

Authorization Gem for Ruby on Rails

CanCanCan is an authorization library for Ruby >= 2.2.0 and Ruby on Rails >= 4.2 which restricts what resources a given user is allowed to access.

All permissions can be defined in one or multiple ability files and not duplicated across controllers, views, and database queries, keeping your permissions logic in one place for easy maintenance and testing.

It consists of two main parts:

 1. Authorizations library that allows you to define the rules to access
different objects, and provides helpers to check for those permissions.
 2. Rails helpers to simplify the code in Rails Controllers by performing the
loading and checking of permissions of models automatically and reduce duplicated code.

Muut pakettiin ruby-cancancan liittyvät paketit

  • depends
  • recommends
  • suggests
  • enhances

Imuroi ruby-cancancan

Imurointi kaikille saataville arkkitehtuureille
Arkkitehtuuri Paketin koko Koko asennettuna Tiedostot
all 29.4 kt131.0 kt [tiedostoluettelo]